org.apache.hc.client5.http.impl.cookie

## Class IgnoreCookieSpecFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.cookie.IgnoreCookieSpecFactory

All Implemented Interfaces:
  CookieSpecFactory

    @Contract(threading=SAFE)
    public class IgnoreCookieSpecFactory
    extends Object
    implements CookieSpecFactory

`CookieSpecFactory` implementation that ignores all cookies.

Since:
  4.4

### Constructor Summary

Constructors
Constructor and Description
`IgnoreCookieSpecFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CookieSpec` `create(org.apache.hc.core5.http.protocol.HttpContext context)` Creates an instance of `CookieSpec`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgnoreCookieSpecFactory

    public IgnoreCookieSpecFactory()

### Method Detail

#### create

    public CookieSpec create(org.apache.hc.core5.http.protocol.HttpContext context)

Description copied from interface: `CookieSpecFactory`
Creates an instance of `CookieSpec`.

Specified by:
  `create` in interface `CookieSpecFactory`
Returns:
  auth scheme.